#
# spec file for package polyglot
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           polyglot
Version:        1.4.70b
Release:        pm152.1.53
Summary:        A Xboard/Winboard protocol to UCI protocol adapter
License:        GPL-2.0
Group:          Amusements/Games/Board/Chess
Url:            http://hardy.uhasselt.be/Toga
Source0:        http://hardy.uhasselt.be/Toga/polyglot-release/polyglot-%{version}.tar.gz
Source100:      %{name}.changes
Patch0:         %{name}-1.4.64b-main.c_return_non_void.diff
BuildRequires:  dos2unix
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PolyGlot is a "UCI adapter".  It connects a GUI interface
(such as XBoard, Winboard, Arena or Chessbase) to a UCI chess engine.

%prep
%setup -q
%patch0

#convert all files to UNIX format
find . -type f -exec dos2unix {} \; &>/dev/null

%build
%configure --docdir=%{_docdir}/%{name}
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install


%files
%defattr(-, root, root, 0755)
%{_mandir}/man6/polyglot.6*
%doc README* book_format.html TODO ChangeLog
%{_bindir}/polyglot

%changelog
* Fri Nov 11 2016 aloisio@gmx.com
- Update to 1.4.70b
  * merge-book did not work correctly on Windows.
  1.4.69b
  * Adapt to latest version of header format.
  1.4.68b
  * Make Polyglot merge-book and make-book aware of the new
    header format.
  1.4.67b
  * Disable "book learning". Polyglot saves learning
    information but does not use it itself, probably for a
    reason. I believe the booklearning concept of Polyglot is
    fundamentally broken. Learning information is engine
    specific so it should not be saved in the opening book (it
    might be saved elsewhere). There are other issues as well,
    such as copyright and the possibility of the proliferation
    of polluted books. Opening books can be improved with
    information from games by using the merge command. This is a
    form of off line learning which is probably much more
    effective since one has strict control over what kind of
    information is added to the book.
  1.4.66b
  * Fix a printf 32 vs 64 bit format (crash) bug which
    manifested itself on windows.
  1.4.65b
  * Bugfix: dump-book with -color black generated the file
    book_white.txt.
- Updated homepage
- Spec cleanup
* Tue Jan  4 2011 packman@links2linux.de - 1.4.64b
- updated to 1.4.64b
  ========1.4.64b=================
  Reduce movetime in the implementation of the fixed time per move command,
  to account for differences in the wording of the protocols.
* Mon Dec 27 2010 packman@links2linux.de - 1.4.63b
- updated to 1.4.63b
  ========1.4.63b=================
  Give ponder move as hint.
  Support for egtpath gaviota (this is a bit hacky right now).
  ========1.4.62b=================
  StringSize was not everywhere the same in Polyglot.
  This could lead to a buffer overflow in case of very long PV's.
* Sun Nov  7 2010 packman@links2linux.de - 1.4.61b
- updated to 1.4.61b
  ========1.4.61b=================
  uci_isready replaced by uci_isready_sync.
  Polyglot should not send commands to the engine while it is syncing
* Fri Oct  1 2010 packman@links2linux.de - 1.4.60b
- updated to 1.4.60b
  ========1.4.60b=================
  The result string after an illegal move now shows the actual attempted move.
  ========1.4.59b=================
  Bugfix: the changes in 1.4.57b created a regression where the input buffer of
  polyglot could overflow with engines producing lots of output very fast.
* Thu Apr 29 2010 packman@links2linux.de - 1.4.58b
- updated to 1.58b
  * Implementation of BookDepth in UCI mode.
  * Small corrections to the manpage.
  * First attempt at killing engines that do not react to "quit".
* Fri Jan  1 2010 AxelKoellhofer@web.de
- update to 1.4.56b
* Mon Sep  7 2009 AxelKoellhofer@web.de
- update to 1.4.46b
- The default persistence directory on Windows is now _PG.
  The names of the engine specific ini files are mangled so as not to contain spaces.
- PG now tries to guess if a string option is really a file or a path (like in the Arena GUI).
* Sat Sep  5 2009 AxelKoellhofer@web.de
- update to 1.4.45b
- =========1.4.45b================
  The engine specific config files (<myname>.ini) are now stored in a separate directory.
  $HOME/.polyglot on Linux and "./Polyglot Settings" on Windows.
  The engine specific config files are now complete config files. So they can be used in a stand alone fashion.
  Implemented a minor hack to make xboard show error messages during startup.
- =========1.4.44b================
  "Implementation" of new buttons and controls.
  The "Persist" option is now persistent. That is if you turn of "Persist" then as a special case PG will remember this.
  There is now a "reset" button which restores the default options. The code is commented out since WB does not support it yet.
- =========1.4.42b================
  SaveSettingsOnExit/SaveFile renamed as Persist/PersistFile.
  Many bug fixes in the persistence feature.
  The PG_<myname>.ini file now contains only options that have been changed. So the resulting ini files are much smaller.
  This makes this version of PG usable on WB 4.3.15 as now the engine specific ini file will be empty (the user has no way to change options).
- =========1.4.41b================
  Some segfaults fixed in case of corrupt config files.
  Persistence of options. If the option SaveSettingsOnExit is true (the default) PolyGlot now saves its options in a file
  whose name is given by the option SaveFile which by default is equal to the engine name, prefixex by PG_ and suffixed by ".ini".
* Mon Aug 24 2009 AxelKoellhofer@web.de
- update to 1.4.39b
  - Refactoring of config file parsing
  - Fix crash bug in epd-test
  - Do not export Chess960. This is handled completely internally.
  - Do not export UCI_Opponent and UCI_Chess960. These are handled internally.
  - PG can now also be comfortably configured through command line options (i.e. without using a config file).
  - Allow quotes in configfile (as in Fonzy Bleumer's PG).
* Tue Aug 18 2009 AxelKoellhofer@web.de
- spec adapted for build with openSUSE
- first build for openSUSE, version 1.4.38b
* Sat Jan  3 2009 Michel Van den Bergh <michel.vandenbergh@uhasselt.be> - 1.4w10UCIb10-1
- Initial spec file
